# Class CrosscheckMetric

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.fingerprint.CrosscheckMetric

Direct Known Subclasses:
  `ClusteredCrosscheckMetric`

public class CrosscheckMetric extends htsjdk.samtools.metrics.MetricBase
A class to hold the result of crosschecking fingerprints. The same metric will be used for crosschecking Readgroups, libraries, samples, or files.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CrosscheckMetric.DataType`
The data type.
`static enum`
`CrosscheckMetric.FingerprintResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`CrosscheckMetric.DataType`
`DATA_TYPE`
The data type that was being compared.
`String`
`LEFT_FILE`
The LEFT file from which the fingerprint was obtained.
`String`
`LEFT_GROUP_VALUE`
The LEFT group value.
`Integer`
`LEFT_LANE`
The LEFT lane.
`String`
`LEFT_LIBRARY`
The LEFT library identifier.
`String`
`LEFT_MOLECULAR_BARCODE_SEQUENCE`
The LEFT molecular (sample) barcode.
`String`
`LEFT_RUN_BARCODE`
The LEFT run barcode (PU field) expected to look like : D047KACXX110901.1.ACCAACTG.
`String`
`LEFT_SAMPLE`
The LEFT sample identifier.
`Double`
`LOD_SCORE`
The resulting LOD score comparing LEFT and RIGHT data.
`Double`
`LOD_SCORE_NORMAL_TUMOR`
The resulting LOD score comparing LEFT as normal and RIGHT as tumor.
`Double`
`LOD_SCORE_TUMOR_NORMAL`
The resulting LOD score comparing LEFT as tumor and RIGHT as normal.
`CrosscheckMetric.FingerprintResult`
`RESULT`
The overall result of the match.
`String`
`RIGHT_FILE`
The RIGHT file from which the fingerprint was obtained.
`String`
`RIGHT_GROUP_VALUE`
The RIGHT group value.
`Integer`
`RIGHT_LANE`
The RIGHT lane.
`String`
`RIGHT_LIBRARY`
The RIGHT library identifier.
`String`
`RIGHT_MOLECULAR_BARCODE_SEQUENCE`
The RIGHT molecular (sample) barcode.
`String`
`RIGHT_RUN_BARCODE`
The RIGHT run barcode (PU field) expected to look like : D047KACXX110901.1.ACCAACTG.
`String`
`RIGHT_SAMPLE`
The RIGHT sample identifier.

## Constructor Summary

Constructors
Constructor
Description
`CrosscheckMetric()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### LEFT_GROUP_VALUE

public String LEFT_GROUP_VALUE
The LEFT group value.

### RIGHT_GROUP_VALUE

public String RIGHT_GROUP_VALUE
The RIGHT group value.

### RESULT

public CrosscheckMetric.FingerprintResult RESULT
The overall result of the match.

### DATA_TYPE

public CrosscheckMetric.DataType DATA_TYPE
The data type that was being compared.

### LOD_SCORE

public Double LOD_SCORE
The resulting LOD score comparing LEFT and RIGHT data.

### LOD_SCORE_TUMOR_NORMAL

public Double LOD_SCORE_TUMOR_NORMAL
The resulting LOD score comparing LEFT as tumor and RIGHT as normal.

### LOD_SCORE_NORMAL_TUMOR

public Double LOD_SCORE_NORMAL_TUMOR
The resulting LOD score comparing LEFT as normal and RIGHT as tumor.

### LEFT_RUN_BARCODE

public String LEFT_RUN_BARCODE
The LEFT run barcode (PU field) expected to look like : D047KACXX110901.1.ACCAACTG.

### LEFT_LANE

public Integer LEFT_LANE
The LEFT lane.

### LEFT_MOLECULAR_BARCODE_SEQUENCE

public String LEFT_MOLECULAR_BARCODE_SEQUENCE
The LEFT molecular (sample) barcode.

### LEFT_LIBRARY

public String LEFT_LIBRARY
The LEFT library identifier.

### LEFT_SAMPLE

public String LEFT_SAMPLE
The LEFT sample identifier.

### LEFT_FILE

public String LEFT_FILE
The LEFT file from which the fingerprint was obtained.

### RIGHT_RUN_BARCODE

public String RIGHT_RUN_BARCODE
The RIGHT run barcode (PU field) expected to look like : D047KACXX110901.1.ACCAACTG.

### RIGHT_LANE

public Integer RIGHT_LANE
The RIGHT lane.

### RIGHT_MOLECULAR_BARCODE_SEQUENCE

public String RIGHT_MOLECULAR_BARCODE_SEQUENCE
The RIGHT molecular (sample) barcode.

### RIGHT_LIBRARY

public String RIGHT_LIBRARY
The RIGHT library identifier.

### RIGHT_SAMPLE

public String RIGHT_SAMPLE
The RIGHT sample identifier.

### RIGHT_FILE

public String RIGHT_FILE
The RIGHT file from which the fingerprint was obtained.

## Constructor Details

### CrosscheckMetric

public CrosscheckMetric()